AT(1)

NOM
at, batch, atq, atrm - Mettre en file d'attente, examiner ou supprimer des commandes excuter ultrieurement

SYNOPSIS
at [-V] [-q queue] [-f file] [-u username] [-mMlv] timespec ..."
at [-V] [-q file] [-f fichier] [-u nom_utilisateur] [-mMkv] [-t heure]
at -c tche [...]
at [-V] -l [-o format_heure] [tche ...]
atq [-V] [-q file] [-o format_heure] [tche ...]
at [-rd] tche [...]
atrm [-V] tche [...]
batch
at -b

DESCRIPTION
at et batch lisent, depuis l'entre standard ou depuis un fichier, des commandes qu'ils excuteront ultrieurement, en utilisant /bin/sh.

at  lance les commandes indiques une heure prcise.

atq affiche la liste des commandes en attente d'excution pour l'utilisateur appelant, sauf s'il s'agit du superutilisateur ; dans ce cas, toutes les commandes en attente sont listes. Le format de sortie est (une ligne par tche) : numro de tche, date, heure, file et nom d'utilisateur.

atrm
    efface les travaux en attente, identifis par leur numro de tche.

batch
    excute les commandes indiques lorsque la charge systme le permet, c'est--dire lorsque la charge du processeur descend sous1,5 ou en dessous d'une valeur mentionne explicitement dans l'invocation de atd.

At permet d'indiquer l'heure de lancement de manire assez complexe, en extension de la norme POSIX.2. Il accepte des spcifications de la forme HH:MM pour excuter un travail une heure donne de la journe en cours (ou du lendemain si l'heure mentionne est dj dpasse). On peut aussi lui fournir l'un des arguments suivants : midnight (minuit), noon (midi), ou teatime (l'heure du th, soit 16 heures). Il est galement possible de fournir un suffixe du type AM (matin), ou PM (aprs-midi). On peut indiquer le jour de lancement, en prcisant une date du type nom-du-mois (en anglais) jour et ventuellement anne, ou encore une date du type MMJJ[SS]AA ou MM/JJ/[SS]AA ou JJ.MM.[SS]AA ou [SS]AA-MM-JJ. La date doit suivre l'heure. On peut aussi indiquer une heure de la forme now (maintenant) + nombre d'units, o les units peuvent tre minutes, hours (heures), days (jours), ou weeks (semaines) et on peut galement demander at de dclencher le travail le jour mme en ajoutant le suffixe today ou le lendemain en ajoutant tomorrow.

Par exemple, pour lancer une commande 16 heures, 3 jours plus tard, on peut indiquer at 4pm + 3 days, pour lancer le travail 10 heures du matin le 31 juillet, il faut invoquer at 10am Jul 31 et pour lancer une commande 1 heure du matin le lendemain, excutez at 1am tomorrow.

Si une tche est indique avec une heure et une date imprative d'excution dans le pass, la commande sera excute ds que possible. Par exemple, s'il est 20heures et que la commande est at 6pm today, la tche sera vraisemblablement excute 20h05.

/usr/share/doc/at/timespec contient les dfinitions des spcifications horaires.

Aussi bien at que batch lisent les commandes mmoriser depuis l'entre standard, ou dans le fichier indiqu par l'option -f. Le rpertoire de travail, l'environnement (sauf pour les variables BASH_VERSINFO, DISPLAY, EUID, GROUPS, SHELLOPTS, TERM, UID et _) ainsi que le umask sont mmoriss au moment de l'invocation.

Comme la commande at est actuellement implmente comme un programme setuid, d'autres variables d'environnement (par exemple LD_LIBRARY_PATH ou LD_PRELOAD) ne sont galement pas exportes. Cela pourrait changer dans le futur. Pour remdier cela, dfinissez explicitement ces variables dans vos tches at.

Une commande at - ou batch - invoque depuis un shell obtenu par su(1) mmorisera l'UID en cours. L'appelant recevra par courriel les messages crits sur les flux de sortie standard et d'erreur standard, s'il y en a. Le courriel sera envoy en utilisant la commande /usr/sbin/sendmail. Si at est invoqu depuis un shell obtenu par su(1), le courriel sera envoy l'utilisateur correspondant au login.

Le superutilisateur peut toujours employer ces commandes. Pour les autres utilisateurs, les permissions sont dtermines par les fichiers /etc/at.allow et /etc/at.deny. Consultez at.allow(5) pour plus de prcisions.

OPTIONS

-V  Afficher le numro de version sur la sortie d'erreur standard et quitter avec succs.

-q file
    Utiliser la file d'attente mentionne. Une file est dsigne par une lettre unique, dans l'intervalle de a jusqu' z et de A jusqu' Z. La file a est la file d'attente par dfaut pour at tandis que la file b est celle par dfaut pour batch. Plus les files ont une lettre importante, plus les travaux seront excuts avec une valeur de politesse (voir nice(1)) leve. La file spciale = est rserve pour les tches en cours d'excution.

Si une tche est soumise une file dsigne par une lettre majuscule, celle-ci est traite par batch l'heure prvue. Une fois l'horaire atteint, les rgles de traitement par lots s'appliquent selon une charge moyenne. Si l'on invoque atq avec un nom de file spcifique, il ne montrera que les travaux en attente dans cette file.

-m  Envoyer un courriel l'utilisateur lorsque le travail est termin, mme s'il n'y a rien crit sur ses flux de sortie.

-M  Ne jamais envoyer de courriel l'utilisateur.

-u nom_utilisateur
    Envoyer un courriel nom_utilisateur plutt qu' l'utilisateur actuel.

-f fichier
    Lire la commande excuter depuis le fichier fichier et non depuis l'entre standard.

-t heure
    Excuter la commande l'heure heure, donne selon le format [[SS]AA]MMJJhhmm[.ss]

-l  Est un alias pour atq.

-r  Est un alias pour atrm.

-d  Est un alias pour atrm.

-b  Est un alias pour batch.

-v  Afficher les heures de lancement programmes avant de lire la tche.

Les heures seront affiches avec le format Thu Feb 20 14:50:00 1997 .

-c  Imprimer sur la sortie standard les travaux mentionns sur la ligne de commande.

-o format
    Le format d'heure utilis par la liste des travaux dans le style de strftime.

FICHIERS
/var/spool/cron/atjobs
/var/spool/cron/atspool
/proc/loadavg
/var/run/utmp
/etc/at.allow
/etc/at.deny

VOIR AUSSI
at.allow(5), at.deny(5), atd(8), cron(1), nice(1), sh(1), umask(2).

BOGUES
Sous Linux, batch est tributaire d'un systme de fichiers de type proc mont sur le rpertoire /proc.

Si le fichier /var/run/utmp n'est pas disponible, ou est endommag, ou si l'utilisateur n'est pas connect lorsque at est invoque, le courriel est envoy l'UID correspondant la variable d'environnement LOGNAME. Si celle-ci est indfinie ou vide, l'UID courant est utilis par dfaut.

At et batch, tels qu'ils sont implments actuellement, ne sont pas fiables lorsqu'il y a une situation de manque de ressources. Si c'est rgulirement le cas sur votre site, vous devriez vous orienter vers un autre systme de lancements diffrs, comme nqs.

AUTEUR
At a t crit principalement par Thomas Koenig.

TRADUCTION
La traduction française de cette page de manuel a été créée par Christophe Blaess <https://www.blaess.fr/christophe/>, Stéphan Rafin <stephan.rafin@laposte.net>, Thierry Vignaud <tvignaud@mandriva.com>, François Micaux, Alain Portal <aportal@univ-montp2.fr>, Jean-Philippe Guérard <fevrier@tigreraye.org>, Jean-Luc Coulon (f5ibh) <jean-luc.coulon@wanadoo.fr>, Julien Cristau <jcristau@debian.org>, Thomas Huriaux <thomas.huriaux@gmail.com>, Nicolas François <nicolas.francois@centraliens.net>, Florentin Duneau <fduneau@gmail.com>, Simon Paillard <simon.paillard@resel.enst-bretagne.fr>, Denis Barbier <barbier@debian.org>, David Prévot <david@tilapin.org>, Jean-Philippe MENGUAL <jpmengual@debian.org> et Jean-Pierre Giraud <jean-pierregiraud@neuf.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.